﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCT_DRAFT_EDIT_SUM') 
 CREATE TABLE T_TCCT_DRAFT_EDIT_SUM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQZ DATETIME,
FSKSSQQ DATETIME,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAFTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCJS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYFFJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDFJYFJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCT_DRAFT_PREPAY_SUM') 
 CREATE TABLE T_TCCT_DRAFT_PREPAY_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXITEM BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCT_DRAFT_DEDUCT_SUMMA' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_TCCT_DRAFT_DEDUCT_SUMMA ADD (FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCT_DRAFT_INCOME_SUMMA' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_TCCT_DRAFT_INCOME_SUMMA ADD (FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCT_DRAFT_REDUCT_SUMMA' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_TCCT_DRAFT_REDUCT_SUMMA ADD (FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCT_table.sql **/
